## gzip 1.3.12-1maemo1

=== debian/changelog ===
gzip (1.3.12-1maemo1) diablo; urgency=low

  * Ported from scratch to maemo because debian gzip depends on
    some large win32 ugly tarball.
  * Build using mud-builder by maemo

 -- Andrew Zabolotny <zap@homelink.ru>  Fri,  8 Aug 2008 00:05:38 +0400
