=== debian/control ===
Source: gzip
Uploaders: MUD Project <mud-builder-team@garage.maemo.org>
Section: user/tools
Priority: optional
Maintainer: Andrew Zabolotny <zap@homelink.ru>
Build-Depends: sharutils, autotools-dev
Standards-Version: 3.6.1
XS-DM-Upload-Allowed: yes

Package: gnuzip
XB-Maemo-Icon-26:  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaBAMAAABbZFH9AAAAAXNSR0IArs4c
  6QAAAB5QTFRFAFEFAAAAIGG4Xl5efn5+gICAyOj/yMjI7Ozs+Pz4ROhBXQAA
  AAF0Uk5TAEDm2GYAAAABYktHRACIBR1IAAAACXBIWXMAAAsTAAALEwEAmpwY
  AAAAB3RJTUUH2AgHEhMxsI1xLAAAAK5JREFUGNNlkD0KwzAMhZ/Hbi0dQlYP
  Bo2lJyikB/CQQ3TsEEwOUOjsEohuW0l280PfYPxZT38GAHeqOgqg4aIpGk29
  aH6/KqltTkMlSXBG8moxJ/aIJqUkWdHpgVqPYR1yyJ7IBxw+FyDkzESU4cYn
  QMz5YXRlIc+Bt04JERdnqaKkzn0H7d513c3ZDstk6w7L1P8bJZXtIDrf+yKj
  /S8BrVrHCmgHNa60MeJ3+wJ9b06TYgq5yQAAAABJRU5ErkJggg==
  ====
Architecture: any
Depends: ${shlibs:Depends}, shared-mime-info
Description: The GNU compression utility (gzip)
 This is the standard GNU file compression utility, which is also the default
 compression tool for Debian.  It typically operates on files with names 
 ending in '.gz'.
 .
 This package can also decompress '.Z' files created with 'compress'.
