## gzip 1.3.12-1maemo2

=== debian/changelog ===
gzip (1.3.12-1maemo2) diablo; urgency=low

  * Increased version number to force builder to re-index the package

 -- Andrew Zabolotny <zap@homelink.ru>  Sat, 09 Aug 2008 18:00:44 +0400
