=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: user/tools
 Priority: optional
 Maintainer: Andrew Zabolotny <zap@homelink.ru>
-Build-Depends: sharutils, autotools-dev
+Build-Depends: gnupg, sharutils, autotools-dev
 Standards-Version: 3.6.1
 XS-DM-Upload-Allowed: yes
 
@@ -18,7 +18,7 @@
   /S8BrVrHCmgHNa60MeJ3+wJ9b06TYgq5yQAAAABJRU5ErkJggg==
   ====
 Architecture: any
-Depends: ${shlibs:Depends}, shared-mime-info
+Depends: ${shlibs:Depends}
 Description: The GNU compression utility (gzip)
  This is the standard GNU file compression utility, which is also the default
  compression tool for Debian.  It typically operates on files with names
