=== debian/rules ===
#!/usr/bin/make -f

# Unfortunately, stock maemo busybox is marked as conflicting with gzip,
# so we have to use a different name for the package :-(

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

binary-post-install/gnuzip::
	rm -rf debian/gnuzip/usr/share/doc debian/gnuzip/usr/share/man debian/gnuzip/usr/share/info
	mv debian/gnuzip/usr/bin/gzip debian/gnuzip/bin/gzip.gzip
	mv debian/gnuzip/usr/bin/uncompress debian/gnuzip/bin/uncompress.gzip
	mv debian/gnuzip/usr/bin/zcat debian/gnuzip/bin/zcat.gzip
	rm -f debian/gnuzip/usr/bin/gunzip
	uudecode debian/gzip-26.b64 -o debian/gnuzip/usr/share/icons/hicolor/26x26/mimetypes/application-x-gzip.png
	uudecode debian/gzip-48.b64 -o debian/gnuzip/usr/share/icons/hicolor/48x48/mimetypes/application-x-gzip.png
	uudecode debian/gzip-64.b64 -o debian/gnuzip/usr/share/icons/hicolor/64x64/mimetypes/application-x-gzip.png
