## gzip 1.4

=== debian/changelog ===
gzip (1.4-4) unstable; urgency=low

  * enable hardening build flags, closes: #664499

 -- Bdale Garbee <bdale@gag.com>  Sun, 18 Mar 2012 20:16:45 +0100

gzip (1.4-3) unstable; urgency=low

  * patch from upstream for sys_stat.in.h to fix mingw32 builds, 
    closes: #653960

 -- Bdale Garbee <bdale@gag.com>  Mon, 05 Mar 2012 22:13:33 -0700

gzip (1.4-2) unstable; urgency=low

  * patch to use DEB_HOST_ARCH in rules, closes: #644785
  * fix missing stamp creating in rules file causing extra build cycle,
    closes: #648555

 -- Bdale Garbee <bdale@gag.com>  Sat, 12 Nov 2011 17:24:17 -0700

gzip (1.4-1) unstable; urgency=low

  * new upstream version, closes: #627121, #633927
  * add Vcs entries to control file
  * patch zless LESSOPEN definition to allow handling of gunzip data on STDIN,
    closes: #248302
  * Build using mingw-w64 instead of mingw32, closes: #623428
  * update to current policy, source package formats, etc

 -- Bdale Garbee <bdale@gag.com>  Wed, 20 Apr 2011 01:48:46 -0600

gzip (1.3.12-9) unstable; urgency=high

  * fix applied for CVE-2010-0001 which identified an integer underflow when 
    decompressing files that are compressed using the LZW algorithm. This 
    could lead to the execution of arbitrary code when trying to decompress 
    a crafted LZW compressed gzip archive.
  * switch to using dh_lintian for override delivery

 -- Bdale Garbee <bdale@gag.com>  Thu, 21 Jan 2010 07:38:41 +1300

gzip (1.3.12-8) unstable; urgency=low

  * Add Carl Worth as an uploader.
  * Fix "-f -" to work with zgrep, closes: #168606 
  * Avoid creating undersized hufts table, closes: #507263 

 -- Carl Worth <cworth@cworth.org>  Fri, 27 Feb 2009 12:54:37 -0800

gzip (1.3.12-7) unstable; urgency=low

  * improve package descriptions, remove ancient package relationship spec
    in control file, closes: #484547

 -- Bdale Garbee <bdale@gag.com>  Sun, 15 Feb 2009 10:54:48 -0700

gzip (1.3.12-6) unstable; urgency=low

  * strip the win32 gzip.exe binary during install, closes: #464455
  * patch from Reuben Thomas for the zless.1 man page with pointers to 
    lessfile and lesspipe, which are a better solution than zless in most
    cases... closes: #46787, #51162
  * fix FTBFS when using gcc-4.3, closes: #476031
  * remove the preinst since the --assert-support-predepends check should
    no longer be necessary

 -- Bdale Garbee <bdale@gag.com>  Tue, 15 Apr 2008 14:03:26 -0600

gzip (1.3.12-5) unstable; urgency=low

  * patch for zgrep.in from Daniel Kobras, closes: #434429
  * patch from upstream to fix compilation with mingw32, and patch from
    Robert Millan to build a win32 executable if mingw32 is available, all
    to fix a preseeding problem in the win32-loader for Debian Installer.
    closes: #457867

 -- Bdale Garbee <bdale@gag.com>  Mon, 04 Feb 2008 21:46:42 -0700

gzip (1.3.12-4) unstable; urgency=low

  * incorporate diffs from NMUs, closes: #434275, #433845, #438675
  * define UNALIGNED_OK when building for amd64, closes: #386356

 -- Bdale Garbee <bdale@gag.com>  Wed, 19 Dec 2007 17:48:37 -0700

gzip (1.3.12-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Stop zdiff from dropping cmp's output. Patch thanks to Jorg-Volker Peetz
    (Closes: Bug#434275)

 -- Anthony Towns <aj@azure.humbug.org.au>  Sun, 14 Oct 2007 23:50:29 +1000

gzip (1.3.12-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename futimens to gz_futimens, since glibc now defines an futimens
    function with a different prototype.  Closes: #433845.
  * Urgency medium for the RC bug fix.

 -- Daniel Schepler <schepler@debian.org>  Sat, 18 Aug 2007 17:11:52 -0400

gzip (1.3.12-3) unstable; urgency=low

  * fix bindir so gunzip, et al, work again, closes: #429462

 -- Bdale Garbee <bdale@gag.com>  Fri, 22 Jun 2007 01:08:59 +0100

gzip (1.3.12-2) unstable; urgency=low

  * fix typo in gzip fprintf, closes: #426965
  * revert my zgrep.in patch since upstream handles alternates differently now

 -- Bdale Garbee <bdale@gag.com>  Thu, 14 Jun 2007 00:17:37 -0400

gzip (1.3.12-1) unstable; urgency=low

  * new upstream version, closes: #177942, #225864, #362786, #366660, #367400, 
    #383358, #402042, #404099, #404114, #419895
  * fix delivery of upstream ChangeLog, closes: #404062

 -- Bdale Garbee <bdale@gag.com>  Wed, 13 Jun 2007 18:55:42 -0400

gzip (1.3.9-2) unstable; urgency=low

  * change direntry ordering in gzip.texi to work around bug in install-info,
    closes: #404048

 -- Bdale Garbee <bdale@gag.com>  Thu, 21 Dec 2006 09:16:16 -0700

gzip (1.3.9-1) unstable; urgency=low

  * new upstream version, closes: #366660, #403308
  * clean up a few gratuitous differences from new upstream, leaving
    only the rsyncable patch and tweaks like zmore always using more
  * fix spelling error in documentation, closes: #395450
  * upstream patch for regression uncompressing null input, closes: #403970

 -- Bdale Garbee <bdale@gag.com>  Wed, 20 Dec 2006 19:16:36 -0700

gzip (1.3.5-15) unstable; urgency=high

  * security update, covering the following alerts:
    CVE-2006-4334 CVE-2006-4335 CVE-2006-4336 CVE-2006-4337 CVE-2006-4338

 -- Bdale Garbee <bdale@gag.com>  Tue, 19 Sep 2006 06:35:26 -0600

gzip (1.3.5-14) unstable; urgency=medium

  * update section to match override
  * patch from Matthew Chapman to avoid deleting input file before we're
    sure the output file has been written without errors, closes: #366660
  * patch from Reuben Thomas to fix zgrep return code, 
    closes: #292896, #192891, #190442
  * enable gzexe compressed files to work on systems where tempfile is not
    available while retaining preference for tempfile, closes: #334540

 -- Bdale Garbee <bdale@gag.com>  Tue, 20 Jun 2006 15:02:27 -0600

gzip (1.3.5-13) unstable; urgency=low

  * patch from Reuben Thomas fixes problem passing zgrep filenames starting
    with dashes, closes: #342501
  * fix a spelling error in gzip man page, closes: #356011
  * document the fact that zless doesn't work with stdin, 

