## gzip 1.5

=== debian/changelog ===
gzip (1.5-1.1ubuntu1) quantal; urgency=low

  * Merge from Debian unstable, remaining changes:
    - debian/{control,rules}: Remove the Win32 build and mingw64
      build-dependency, since mingw is in universe, and will remain so for
      the forseeable future.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 29 Jun 2012 02:14:23 +0000

gzip (1.5-1.1) unstable; urgency=low

  * Non-maintainer upload with permission of maintainer.
  * Clean up the debian/rules file to fix FTBFS caused by
    inclusion of build-indep on binary-arch target.

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 20 Jun 2012 16:10:12 +0200

gzip (1.5-1) unstable; urgency=low

  * new upstream version, with updated gnulib that closes: #669434
  * patch to restore zgrep -h from Pär-Ola Nilsson, closes: #658734
  * patch to fix pack reference in gzip man page from Stéphane Aulery,
    closes: #308522
  * patch to add --rsyncable doc to info page from Jörgen Grahn,
    closes: #637626
  * patch to improve zdiff doc from Stéphane Aulery, closes: #269612
  * patches to fix RFC URLs from Stéphane Aulery, closes: #636182

 -- Bdale Garbee <bdale@gag.com>  Tue, 19 Jun 2012 14:04:08 -0600

gzip (1.4-5ubuntu1) quantal; urgency=low

  * Merge from Debian unstable, remaining changes:
    - debian/{control,rules}: Remove the Win32 build and mingw64
      build-dependency, since mingw is in universe, and will remain so for
      the forseeable future.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 02 May 2012 21:52:05 +0000

gzip (1.4-5) unstable; urgency=low

  * patch from upstream to address determinism issue, closes: #647522

 -- Bdale Garbee <bdale@gag.com>  Mon, 19 Mar 2012 11:07:22 +0100

gzip (1.4-1ubuntu2) precise; urgency=low

  * debian/patches/zeroify-buffers.diff: clear gzip buffers between
    files.  Thanks to Cyril Brulebois <kibi@debian.org>.
    Closes: #647522, LP: #871083.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Feb 2012 23:59:13 +0000

gzip (1.4-1ubuntu1) precise; urgency=low

  * Merge with Debian testing.  Remaining Ubuntu changes:
    - debian/{control,rules}: Remove the Win32 build and mingw64
      build-dependency, since mingw is in universe, and will remain so for
      the forseeable future.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 19 Oct 2011 11:42:42 +0200
