=== debian/control ===
Source: gzip
Section: utils
Priority: required
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Bdale Garbee <bdale@gag.com>
Uploaders: Carl Worth <cworth@cworth.org>
Build-Depends: debhelper (>= 5), texinfo, autoconf, automake, autotools-dev, less
Standards-Version: 3.9.3
Vcs-Git: git://git.gag.com/debian/gzip
Vcs-Browser: http://git.gag.com/?p=debian/gzip

Package: gzip
Architecture: any
Essential: yes
Pre-Depends: ${shlibs:Depends}
Depends: dpkg (>= 1.15.4) | install-info
Suggests: less
Description: GNU compression utilities
 This package provides the standard GNU file compression utilities, which 
 are also the default compression tools for Debian.  They typically operate 
 on files with names ending in '.gz', but can also decompress files ending 
 in '.Z' created with 'compress'.
