## gzip 1.6

=== debian/changelog ===
gzip (1.6-5ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Added autopkgtest tests
  * Dropped changes:
    - restore mingw build, since dependencies in universe are now allowed.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 27 Apr 2017 20:50:19 -0700

gzip (1.6-5) unstable; urgency=low

  * stop including date in manual to enable reproducible builds, 
    closes: #794011

 -- Bdale Garbee <bdale@gag.com>  Mon, 14 Mar 2016 14:41:45 -0600

gzip (1.6-4ubuntu2) artful; urgency=medium

  * No-change rebuild to pick up -fPIE compiler default in static
    libraries

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Apr 2017 20:49:13 +0000

gzip (1.6-4ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable (lp: #1385793).  Remaining changes:
    - debian/{control,rules}: Remove the Win32 build and mingw64
      build-dependency, since mingw is in universe, and will remain so for
      the forseeable future. 
    - Added autopkgtest tests

 -- Jackson Doak <noskcaj@ubuntu.com>  Sun, 26 Oct 2014 13:16:56 +1100

gzip (1.6-4) unstable; urgency=low

  * fix typo in man page, closes: #738546
  * specify /bin/sh as shell for wrapper scripts, closes: #762915

 -- Bdale Garbee <bdale@gag.com>  Fri, 26 Sep 2014 11:37:24 -0600

gzip (1.6-3ubuntu1) trusty; urgency=low

  * Merge from Debian unstable (lp: #1264431).  Remaining changes:
    - debian/{control,rules}: Remove the Win32 build and mingw64
      build-dependency, since mingw is in universe, and will remain so for
      the forseeable future. 
    - Added autopkgtest tests

 -- Jackson Doak <noskcaj@ubuntu.com>  Sat, 28 Dec 2013 06:06:18 +1100

gzip (1.6-3) unstable; urgency=low

  * add a comment to the lintian overrides explaining them
  * updated rsyncable patch from Alexander Inyukhin, closesL #708423
  * never include dir.gz in package, closes: #720917

 -- Bdale Garbee <bdale@gag.com>  Wed, 25 Dec 2013 16:09:40 -0700

gzip (1.6-2ubuntu1) saucy; urgency=low

  * Merge from Debian unstable, remaining changes:
    - debian/{control,rules}: Remove the Win32 build and mingw64
      build-dependency, since mingw is in universe, and will remain so for
      the forseeable future. 
  * Added autopkgtest tests

 -- Jackson Doak <noskcaj@ubuntu.com>  Mon, 12 Aug 2013 19:13:00 +1000

gzip (1.6-2) unstable; urgency=low

  * patch to update included gnulib for mingw-w64 changes, closes: #713950

 -- Bdale Garbee <bdale@gag.com>  Sat, 17 Aug 2013 14:22:53 +0200

gzip (1.6-1) unstable; urgency=low

  * new upstream version, closes: #704689, #690583, #521432, #96195, #693463
  * merge diff from 1.5-1.1 NMU by Thorsten Glaser
  * patch for zgrep man page from Regid Ichira, closes: #687123
  * restore rsyncable docs to man page, closes: #688305

 -- Bdale Garbee <bdale@gag.com>  Tue, 11 Jun 2013 12:49:33 -0600
