=== debian/control ===
--- 
+++ 
@@ -5,7 +5,9 @@
 XSBC-Original-Maintainer: Bdale Garbee <bdale@gag.com>
 Uploaders: Carl Worth <cworth@cworth.org>
 Build-Depends: debhelper (>= 5), texinfo, autoconf, automake, autotools-dev, less
-Standards-Version: 3.9.3
+Build-Depends-Indep: mingw-w64
+XS-Testsuite: autopkgtest
+Standards-Version: 3.9.6
 Vcs-Git: git://git.gag.com/debian/gzip
 Vcs-Browser: http://git.gag.com/?p=debian/gzip
 
@@ -20,3 +22,11 @@
  are also the default compression tools for Debian.  They typically operate 
  on files with names ending in '.gz', but can also decompress files ending 
  in '.Z' created with 'compress'.
+
+Package: gzip-win32
+Architecture: all
+Priority: extra
+Suggests: wine
+Description: GNU compression utility (win32 build)
+ This is a win32 version of gzip, meant to be used by the win32-loader
+ component of Debian-Installer.
