=== debian/rules ===
--- 
+++ 
@@ -79,10 +79,17 @@
 	mkdir -p builddir
 	cd builddir && env \
 	    $(foreach i,CC CFLAGS CPPFLAGS LDFLAGS,$(call shellexport,$i)) \
-	    ../configure ${CONFIGURE_ARGS}
+	    CONFIG_SHELL=/bin/sh ../configure ${CONFIGURE_ARGS}
 	:>$@
 
-build: build-stamp
+configure-indep: configure-indep-stamp
+configure-indep-stamp: reconf-stamp
+	dh_testdir
+	mkdir -p builddir-indep
+	cd builddir-indep && ../configure --host=i686-w64-mingw32
+	:>$@
+
+build: build-stamp build-indep-stamp
 
 build-arch: build-stamp
 build-stamp: configure-stamp
@@ -95,6 +102,12 @@
 endif
 	:>$@
 
+build-indep: build-indep-stamp
+build-indep-stamp: configure-indep-stamp
+	dh_testdir
+	${MAKE} -C builddir-indep
+	:>$@
+
 clean:
 	dh_testdir
 	dh_testroot
@@ -102,7 +115,25 @@
 	-rm -rf builddir builddir-indep
 	dh_clean
 
-binary: binary-arch
+binary: binary-arch binary-indep
+
+binary-indep: build-indep-stamp
+	dh_testdir
+	dh_testroot
+	if test -x "$$(which dh_prep)"; then dh_prep; else dh_clean -k; fi
+	dh_installdirs
+	i686-w64-mingw32-strip builddir-indep/gzip.exe
+	install -m 0755 builddir-indep/gzip.exe \
+	    debian/gzip-win32/usr/share/win32/
+	dh_installdocs -i README* TODO
+	dh_installchangelogs -i ChangeLog
+	dh_lintian -i
+	dh_compress -i
+	dh_fixperms -i
+	dh_installdeb -i
+	dh_gencontrol -i
+	dh_md5sums -i
+	dh_builddeb -i
 
 binary-arch: build-stamp
 	dh_testdir
@@ -125,6 +156,7 @@
 	ln -s gunzip.1.gz debian/gzip/usr/share/man/man1/uncompress.1.gz
 	ln -s zgrep.1.gz debian/gzip/usr/share/man/man1/zegrep.1.gz
 	ln -s zgrep.1.gz debian/gzip/usr/share/man/man1/zfgrep.1.gz
+	rm -f ${_topdir}/debian/gzip/usr/share/info/dir.gz
 	dh_fixperms -s
 	dh_makeshlibs -s
 	dh_installdeb -s
