## gzip 1.9

=== debian/changelog ===
gzip (1.9-3.lnd.6) unstable; urgency=medium

  * Fix runtime check for lsx and lasx.

 -- Song Ding <songding@loongson-pc>  Wed, 03 Aug 2022 10:58:43 +0800

gzip (1.9-3.lnd.5) unstable; urgency=high

  * Fix CVE-2022-1271: an arbitrary file write vulnerability

 -- Zhai Liangliang <zhailiangliang@loongson.cn>  Wed, 01 Jun 2022 17:04:00 +0800

gzip (1.9-3.lnd.4) unstable; urgency=medium

  * Add LSX optimizations.
  * Add runtime check for lsx and lasx.

 -- Song Ding <songding@loongson-pc>  Mon, 30 May 2022 15:47:02 +0800

gzip (1.9-3.lnd.3) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 13:21:13 +0800

gzip (1.9-3.lnd.2) unstable; urgency=medium

  * Implement CRC function using inline assembly instructions
    instead of crc_32_tab in loongarch64.
  * Add LASX optimizations.
  * Add runtime check for lasx.

 -- Song Ding <songding@loongson.cn>  Wed, 13 Oct 2021 10:16:50 +0800

gzip (1.9-3.lnd.1) unstable; urgency=medium

  * Do't build gzip-win32

 -- Wang Ming <wangming@loongson.cn>  Thu, 22 Oct 2020 14:54:32 +0800

gzip (1.9-2.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Niels Thykier ]
  * Cherry-pick patch from gnulib upstream to make gzip build
    with glibc/2.28.  (Closes: #915150)
  * Declare that gzip does not need (fake)root for building the
    debs.
  * Add patch to remove incorrect -Wabi as -Wabi should always
    take a parameter (e.g. -Wabi=11) and it fails with -Werror=abi.
  * Add a patch to remove -Werror(=...) as it trips on some gnulib
    code.
  * Include autopkgtest based on the version by Steve Langasek for
    Ubuntu.
  * Remove fallback code to use dh_clean -k.
  * Remove usage of deprecated -s parameter for debhelper commands
    (replacing them with "-a").
  * Add a Homepage field.  Thanks to Jakub Wilk for the suggestion.
    (Closes: #888619)
  * Remove empty lintian override directory.

  [ Andreas Henriksson ]
  * Set GREP=grep during configure, otherwise zgrep embeds the full
    path. (Closes: #914907)

 -- Niels Thykier <niels@thykier.net>  Fri, 28 Dec 2018 14:34:28 +0000

gzip (1.9-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable usage of assembler code (Closes: #890279)
    - this affects i386, m68k and ia64 (and gets rid of textrels
      on atleast i386, thanks to Andreas Pommer for testing).
    - fedora claims gcc generates more optimized code anyway.
    - supposedly this also fixes gzip generating different results
      on ia64, thanks to Jason Duerstock for pointing it out.
      (Closes: #688958)

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 29 Sep 2018 18:28:06 +0200

gzip (1.9-2) unstable; urgency=medium

  * move to upstream's less-ugly fix for mingw compilation failure

 -- Bdale Garbee <bdale@gag.com>  Sun, 05 Aug 2018 08:30:09 +0800

gzip (1.9-1) unstable; urgency=medium

  * new upstream version, closes: #855839
  * patch from Ben Wong that fixes zgrep failure on filenames starting with
    'binary' due to missing dashes in an option detection pattern match,
    closes: #854878
  * update to policy 4.1.5, including use of https in vcs entries
  * patch gzip.c to work around mingw compiliation failure
  * use optional priority for gzip-win32 now that extra is deprecated
  * use architecture.mk instead of setting ARCH vars by hand in rules
  * update build dependencies for debhelper compat level 11

 -- Bdale Garbee <bdale@gag.com>  Sun, 29 Jul 2018 15:17:27 +0800

gzip (1.8-1) unstable; urgency=low

  * new upstream version, closes: #855839

 -- Bdale Garbee <bdale@gag.com>  Fri, 24 Feb 2017 14:50:07 -0700
