## gzip 1.9.2

=== debian/changelog ===
gzip (1.9.2-1+dde) unstable; urgency=medium

  * fix CVE-2022-1271.
  * 

 -- xinpeng wang<wangxinpeng@uniontech.com>  Tue, 12 Apr 2022 16:18:13 +0800

gzip (1.9.1-1+dde) unstable; urgency=medium

  *  Port to sw64

 -- deepin/sw64 team <sunway@deepin.com>  Wed, 10 Feb 2021 02:34:45 +0000

gzip (1.9-3) unstable; urgency=medium

  * move canonical packaging repo to salsa.debian.org
  * merge two existing NMUs
  * deliver NEWS file, closes: #908507

 -- Bdale Garbee <bdale@gag.com>  Sat, 05 Jan 2019 16:03:32 -0700
