=== debian/rules ===
--- 
+++ 
@@ -88,8 +88,7 @@
 	cd builddir-indep && ../configure --host=i686-w64-mingw32
 	:>$@
 
-# build: build-stamp build-indep-stamp
-build: build-stamp
+build: build-stamp build-indep-stamp
 
 build-arch: build-stamp
 build-stamp: configure-stamp
@@ -115,8 +114,11 @@
 	-rm -rf builddir builddir-indep
 	dh_clean
 
-# binary: binary-arch binary-indep
+ifeq (sw_64, $(DEB_BUILD_ARCH))
 binary: binary-arch
+else
+binary: binary-arch binary-indep
+endif
 
 binary-indep: build-indep-stamp
 	dh_testdir
