## gzip 1.9.3

=== debian/changelog ===
gzip (1.9.3-deepin1) unstable; urgency=medium

  * use new patch to fix CVE-2022-1271 .
  * 

 --  xinpeng.wang <wangxinpeng@uniontech.com>  Wed, 23 Nov 2022 21:28:38 +0800
