=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Bdale Garbee <bdale@gag.com>
 Uploaders: Carl Worth <cworth@cworth.org>
 Build-Depends: debhelper (>= 11), texinfo, autoconf, automake, less
-# Build-Depends-Indep: mingw-w64
+Build-Depends-Indep: mingw-w64 [!sw_64]
 Rules-Requires-Root: no
 Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/debian/gzip.git
@@ -23,10 +23,10 @@
  on files with names ending in '.gz', but can also decompress files ending 
  in '.Z' created with 'compress'.
 
-# Package: gzip-win32
-# Architecture: all
-# Priority: optional
-# Suggests: wine
-# Description: GNU compression utility (win32 build)
-#  This is a win32 version of gzip, meant to be used by the win32-loader
-#  component of Debian-Installer.
+Package: gzip-win32
+Architecture: all
+Priority: optional
+Suggests: wine
+Description: GNU compression utility (win32 build)
+ This is a win32 version of gzip, meant to be used by the win32-loader
+ component of Debian-Installer.
