## gzip 1.10

=== debian/changelog ===
gzip (1.10-0ubuntu4) focal; urgency=high

  * Rebuild with binutils 2.33.1-6ubuntu1 (LP: #1843479)
    - Build-depend on binutils (>= 2.33.1-6ubuntu1)
  * Pass -fstack-protector to mingw build to fix FTBFS

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 13 Dec 2019 16:41:46 +0100

gzip (1.10-0ubuntu3) eoan; urgency=medium

  * Fix typpo in enabling optimized s390x zlib compression. LP: #1841052

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 23 Aug 2019 10:24:50 +0100

gzip (1.10-0ubuntu2) eoan; urgency=medium

  * Cherrypick gnu debbugs fixes for optimizied s390x zlib
    compression. LP: #1839123

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 12 Aug 2019 12:08:24 +0100

gzip (1.10-0ubuntu1) eoan; urgency=medium

  * New upstream release
  * Cherrypick upstream patches for optimizied s390x zlib compression and
    enable it LP: #1825350

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 30 Apr 2019 14:19:45 +0100
