=== debian/rules ===
--- 
+++ 
@@ -66,6 +66,10 @@
 CONFIGURE_ARGS+=	--host=${DEB_HOST_GNU_TYPE}
 endif
 
+ifeq (${DEB_TARGET_ARCH},s390x)
+CONFIGURE_ARGS+=	--enable-dfltcc
+endif
+
 reconf-stamp:
 	cp -f /usr/share/misc/config.sub build-aux/config.sub
 	cp -f /usr/share/misc/config.guess build-aux/config.guess
@@ -85,7 +89,7 @@
 configure-indep-stamp: reconf-stamp
 	dh_testdir
 	mkdir -p builddir-indep
-	cd builddir-indep && ../configure --host=i686-w64-mingw32
+	cd builddir-indep && ../configure LDFLAGS=-fstack-protector --host=i686-w64-mingw32
 	:>$@
 
 build: build-stamp build-indep-stamp
@@ -114,11 +118,7 @@
 	-rm -rf builddir builddir-indep
 	dh_clean
 
-ifeq (sw_64, $(DEB_BUILD_ARCH))
-binary: binary-arch
-else
 binary: binary-arch binary-indep
-endif
 
 binary-indep: build-indep-stamp
 	dh_testdir
