=== debian/tests/control ===
Tests: simple-gzip
Depends: gzip
