=== debian/watch ===
version=2
ftp://ftp.gnu.org/gnu/gzip/gzip-([\d\.\d]+)\.tar\.gz
