=== debian/rules ===
--- 
+++ 
@@ -25,28 +25,21 @@
 endif
 
 export DEFS=NO_ASM # Avoid TEXTRELs on i386
-EXTRA_CFLAGS=		-Wall
-EXTRA_CPPFLAGS=
+DEB_CFLAGS_MAINT_APPEND := -Wall
 
-ifeq (${DEB_HOST_ARCH},amd64)
-EXTRA_CPPFLAGS+=	-DUNALIGNED_OK
+ifeq ($(buildarch), amd64)
+DEB_CPPFLAGS_MAINT_APPEND := -DUNALIGNED_OK
+endif
+
+ifeq (${DEB_HOST_ARCH},s390x)
+DEB_CPPFLAGS_MAINT_APPEND := -DDFLTCC -DDFLTCC_LEVEL_MASK=0x7e
 endif
 
 # Automatic dpkg-buildflags selection, backport-friendly
 
-ifneq (,$(wildcard /usr/share/dpkg/buildflags.mk))
-# dpkg-dev (>= 1.16.1~)
-DEB_CFLAGS_MAINT_APPEND=${EXTRA_CFLAGS}
-DEB_CPPFLAGS_MAINT_APPEND=${EXTRA_CPPFLAGS}
 # maybe turn this on later
 #DEB_BUILD_MAINT_OPTIONS=hardening=+all
 include /usr/share/dpkg/buildflags.mk
-else
-# old-fashioned way to determine build flags
-CFLAGS=			-O$(if $(findstring noopt,${DEB_BUILD_OPTIONS}),0,2) -g
-CFLAGS+=		${EXTRA_CFLAGS}
-LDFLAGS+=		${EXTRA_LDFLAGS}
-endif
 
 # maybe turn this on later
 #ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -58,9 +51,10 @@
 _topdir=$(call shellescape,$(shell pwd))
 
 CONFIGURE_ARGS=		--prefix=/usr \
-			--bindir=/bin \
-			--infodir=${_topdir}/debian/gzip/usr/share/info \
-			--mandir=${_topdir}/debian/gzip/usr/share/man
+			--bindir=/usr/bin \
+			--infodir=/usr/share/info \
+			--mandir=/usr/share/man \
+			--disable-silent-rules
 
 ifneq (${DEB_BUILD_ARCH},${DEB_HOST_ARCH})
 CONFIGURE_ARGS+=	--host=${DEB_HOST_GNU_TYPE}
@@ -89,7 +83,8 @@
 configure-indep-stamp: reconf-stamp
 	dh_testdir
 	mkdir -p builddir-indep
-	cd builddir-indep && ../configure LDFLAGS=-fstack-protector --host=i686-w64-mingw32
+	cd builddir-indep && ../configure --host=i686-w64-mingw32 \
+		LIBS="-Wl,-Bstatic -lssp" --disable-silent-rules
 	:>$@
 
 build: build-stamp build-indep-stamp
@@ -143,9 +138,7 @@
 	dh_testroot
 	dh_prep
 	dh_installdirs
-	${MAKE} -C builddir install \
-	    prefix=${_topdir}/debian/gzip/usr \
-	    bindir=${_topdir}/debian/gzip/bin
+	${MAKE} -C builddir install DESTDIR=${_topdir}/debian/gzip
 	dh_testdir -a
 	dh_testroot -a
 	dh_installdocs -a README* TODO NEWS
